OpenVDB 13.0.0

Loading...
Searching...
No Matches
ReduceFilterOp< OpT > Struct Template Reference

`#include <openvdb/tree/NodeManager.h>`

## Public Member Functions
| ReduceFilterOp (OpT &op, openvdb::Index64 size)
| ReduceFilterOp (const ReduceFilterOp &other)
| ReduceFilterOp (const ReduceFilterOp &other, tbb::split)
template<typename NodeT>
void | operator() (NodeT &node, size_t idx) const
void | join (const ReduceFilterOp &other)
bool | valid (size_t idx) const
OpT & | op ()

## Constructor & Destructor Documentation

## ◆ ReduceFilterOp() [1/3]

template<typename OpT>

ReduceFilterOp | ( | OpT & | op,
|  | openvdb::Index64 | size )
| inline

## ◆ ReduceFilterOp() [2/3]

template<typename OpT>

ReduceFilterOp | ( | const ReduceFilterOp< OpT > & | other | ) |
| inline

## ◆ ReduceFilterOp() [3/3]

template<typename OpT>

ReduceFilterOp | ( | const ReduceFilterOp< OpT > & | other,
|  | tbb::split | )
| inline

## Member Function Documentation

## ◆ join()

template<typename OpT>

void join | ( | const ReduceFilterOp< OpT > & | other | ) |
| inline

## ◆ op()

template<typename OpT>

OpT & op | ( |  | ) |
| inline

## ◆ operator()()

template<typename OpT>
template<typename NodeT>

void operator() | ( | NodeT & | node,
|  | size_t | idx ) const
| inline

## ◆ valid()

template<typename OpT>

bool valid | ( | size_t | idx | ) | const
| inline